Name:    iniparser
Version: 4.1
Release: 5
Summary: ini file parser 
License: MIT and Zlib
URL:	 https://github.com/ndevilla/iniparser
Source0: https://github.com/ndevilla/iniparser/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:  CVE-2023-33461.patch

BuildRequires: 	gcc doxygen chrpath

%description
This modules offers parsing of ini files from the C level. See a complete documentation in HTML format, from this directory open the file html/index.html with any HTML-capable browser.

%prep
%autosetup -n %{name}-%{version} -p1

%build
export CFLAGS="${RPM_OPT_FLAGS}"
%make_build
cd doc;make

%install
install -d %{buildroot}/%{_includedir}/%{name}
install -m 644 -t %{buildroot}%{_includedir}/%{name} src/dictionary.h src/iniparser.h

install -d %{buildroot}/%{_libdir}
install -m 755 -t %{buildroot}%{_libdir}/ libiniparser.so.1
ln -s libiniparser.so.1 %{buildroot}%{_libdir}/libiniparser.so

install -d %{buildroot}/%{_docdir}/%{name}
cp -r example %{buildroot}/%{_docdir}/%{name}
cp -r html %{buildroot}/%{_docdir}/%{name}

chrpath -d %{buildroot}/%{_libdir}/libiniparser.so.1
mkdir -p %{buildroot}/etc/ld.so.conf.d
echo "%{_libdir}" > %{buildroot}/etc/ld.so.conf.d/%{name}-%{_arch}.conf

%pre
%preun
%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%check

%files
%license LICENSE
%doc README.md INSTALL AUTHORS FAQ-en.md FAQ-zhcn.md  
%{_includedir}/*
%{_libdir}/*
%{_docdir}/*
%config(noreplace) /etc/ld.so.conf.d/*

%changelog
* Sun Jun 25 2023 wangkai <13474090681@163.com> - 4.1-5
- Fix CVE-2023-33461

* Mon Aug 22 2022 yaoxin <yaoxin20@h-partners.com> - 4.1-4
- Fix not striped problem
- Remove rpath

* Tue Jan 19 2021 Ge Wang <wangge20@huawei.com> - 4.1-3
- Modify license information.

* Tue Oct 13 2020 liqingqing_1229 <liqingqing3@huawei.com>
- update source0

* Sun Mar 29 2020 Wei Xiong <myeuler@163.com>
- Package init

